function [aos, foundc, datecs]=find_sel(Ao,str, col, datecolumn)

nr=size(Ao,1);
foundc=false;
sp=false(nr,1);
i=1;
while not(foundc || i>nr-1)
i=i+1;    
     if strcmp(Ao{i,col},str) % found country
         foundc=true;
         sp(i,1)=true;
     end
end
wrongstr=false;
while not(wrongstr || i>nr-1)
i=i+1;    
     if strcmp(Ao{i,col},str) % found country
         sp(i,1)=true;
     end
end

aos=Ao(sp,:);
datecs=datecolumn(sp,:);
return
         




return